"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCompiler = exports.setCompiler = void 0;
let compiler;
const setCompiler = (userProvidedCompiler) => {
    try {
        if (userProvidedCompiler) {
            compiler = typeof userProvidedCompiler === 'string' ? require(userProvidedCompiler) : userProvidedCompiler;
        }
        // Vue 3.2.13+ ships the SFC compiler directly under the `vue` package
        // making it no longer necessary to have @vue/compiler-sfc separately installed.
        else
            compiler = require('vue/compiler-sfc');
        return { compiler };
    }
    catch (e) {
        try {
            compiler = require('@vue/compiler-sfc');
            return { compiler };
        }
        catch (e) {
            throw new Error(`@vitejs/plugin-vue requires vue (>=3.2.13) or @vue/compiler-sfc ` +
                `to be present in the dependency tree.`);
        }
    }
};
exports.setCompiler = setCompiler;
const getCompiler = () => compiler;
exports.getCompiler = getCompiler;
